<?php
 include ("header.php");
 include ("conexionOdo.php");
 
 function generarLinkTemporal($idusuario, $username){
 $cadena = $idusuario.$username.rand(1,9999999).date('Y-m-d');
 $token = sha1($cadena);
 
 //$conexion = new mysqli('localhost', 'root', '', 'ejemplobd');
 
 $query = "SELECT COUNT(*)cts FROM tblreseteopass WHERE idusuario=$idusuario";
 $result = mysql_query($query) or die('Consulta e Cuantos fallida: ' . mysql_error());
 $line = mysql_fetch_array($result, MYSQL_ASSOC);
 $cuantos=$line['cts'];
 
 if ($cuantos>0)
 {
   $queryDel = "DELETE FROM tblreseteopass WHERE idusuario=$idusuario";
   $result = mysql_query($queryDel) or die('Eliminacion de temporal fallida: ' . mysql_error()); 
 }
 $sql = "INSERT INTO tblreseteopass (idusuario, username, token, creado) VALUES($idusuario,'$username','$token',NOW());";
 $result = mysql_query($sql) or die('Insercion temporal fallida: ' . mysql_error());
 
 //$resultado = $conexion->query($sql);
 //if($resultado){
   $enlace = "www.healthdocweb.net".'/sio/restablecer.php?idusuario='.sha1($idusuario).'&token='.$token;
   return $enlace;
   
   echo "enlace.." . $enlace;
   return $enlace;
 // }
 // else
 // {
 //  return FALSE;
 //  }
 }

 function enviarEmail( $email, $link ){
  $mensaje = '<html>
   <head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">
     <title>Restablece tu password</title>
   </head>
   <body>
 	<p>Hemos recibido una solicitud para restablecer el password de su cuenta.</p>
 	<!--<p>Si hiciste esta petición, haz clic en el siguiente enlace, si no hiciste esta petición puedes ignorar este correo.</p>-->
 	<p>
 	  <strong>Pro favor toque el enlace para restablecer su password</strong><br>
 	    <a href="'.$link.'"> Restablecer password </a>
 	</p>
   </body>
  </html>';
  $cabeceras  = 'MIME-Version: 1.0' . "\r\n";
  $cabeceras .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
  $cabeceras .= 'From: healthdocweb.com <soporte@healthdocweb.com>' . "\r\n";
		
  mail($email, "Recuperar password", $mensaje, $cabeceras);
 }
	
	
$email     = $_POST['email'];
//$respuesta = new stdClass();


if( $email != "" ){   
   //$conexion = new mysqli('localhost', 'root', '', 'ejemplobd');
   $sql = " SELECT * FROM SIME_BAS_N_USUARIOS WHERE email = '$email' ";
   $resultado = mysql_query($sql) or die('Consulta de usuario fallida: ' . mysql_error());
   $line = mysql_fetch_array($resultado, MYSQL_ASSOC);
   $idUsu      = $line['idUsuario'];
   $nomUsuario = $line['nomUsuario']. " ". $line['apell1Usuario'];
   
   if($idUsu>0)
   {
     $linkTemporal = generarLinkTemporal( $idUsu, $nomUsuario );
     if($linkTemporal){
       enviarEmail( $email, $linkTemporal );
       //$respuesta->mensaje = '<div class="alert alert-info"> Un correo ha sido enviado a su cuenta de email con las instrucciones para restablecer el password</div>';
       $mensaje = '<div class="alert alert-info"> Un correo ha sido enviado a su cuenta de email con las instrucciones para restablecer el password</div>';
     }
   }
   else
     {
       //$respuesta->mensaje = '<div class="alert alert-warning"> No existe una cuenta asociada a ese correo. </div>';
       $mensaje = '<div class="alert alert-warning"> No existe una cuenta asociada a este correo. </div>';
     }
}
else
 {
   //$respuesta->mensaje= "Debe introducir el email de la cuenta";
   $mensaje= "Debe introducir el email de la cuenta";
 }
 //echo json_encode( $respuesta );
 //echo $mensaje;
 
?> 
 
<table align="center" width="900">
 <tr>
   <td class='titulosTabla'> <?=$mensaje?> </td>
 </tr>
 <tr>  
   <td align="center"> 
      <a href=index.php><img src="imagenes/btnVol.jpg"></a>
    </td>         
 </tr>  
</table>